# Uses of Class
org.eclipse.jface.bindings.Binding

Packages that use Binding
Package
Description
org.eclipse.e4.ui.bindings
org.eclipse.e4.ui.bindings.internal
org.eclipse.jface.bindings
Provides support for bindings between commands and various user input events (e.g., keyboard shortcuts).
org.eclipse.jface.bindings.keys
Provides support for bindings between commands and keys.
org.eclipse.ui.internal
org.eclipse.ui.keys
Provides support for integrating keys into the Eclipse workbench.

## Uses of Binding in org.eclipse.e4.ui.bindings

Methods in org.eclipse.e4.ui.bindings that return Binding
Modifier and Type
Method
Description
`Binding`
EBindingService.`createBinding(TriggerSequence sequence, ParameterizedCommand command, String contextId, Map<String,String> attributes)`
`Binding`
EBindingService.`getPerfectMatch(TriggerSequence trigger)`
Methods in org.eclipse.e4.ui.bindings that return types with arguments of type Binding
Modifier and Type
Method
Description
`Collection<Binding>`
EBindingService.`getActiveBindings()`
`Collection<Binding>`
EBindingService.`getAllConflicts()`
`Collection<Binding>`
EBindingService.`getBindingsFor(ParameterizedCommand cmd)`
`Collection<Binding>`
EBindingService.`getConflictsFor(TriggerSequence sequence)`
`Collection<Binding>`
EBindingService.`getPartialMatches(TriggerSequence sequence)`
Methods in org.eclipse.e4.ui.bindings with parameters of type Binding
Modifier and Type
Method
Description
`void`
EBindingService.`activateBinding(Binding binding)`
`void`
EBindingService.`deactivateBinding(Binding binding)`

## Uses of Binding in org.eclipse.e4.ui.bindings.internal

Methods in org.eclipse.e4.ui.bindings.internal that return Binding
Modifier and Type
Method
Description
`Binding`
BindingServiceImpl.`createBinding(TriggerSequence sequence, ParameterizedCommand command, String contextId, Map<String,String> attributes)`
`Binding`
BindingTable.`getBestSequenceFor(ParameterizedCommand command)`
`Binding`
BindingTableManager.`getBestSequenceFor(ContextSet contextSet, ParameterizedCommand parameterizedCommand)`
`Binding`
BindingServiceImpl.`getPerfectMatch(TriggerSequence trigger)`
`Binding`
BindingTable.`getPerfectMatch(TriggerSequence trigger)`
`Binding`
BindingTableManager.`getPerfectMatch(ContextSet contextSet, TriggerSequence triggerSequence)`
`protected Binding`
KeyAssistDialog.`getSelectedBinding()`
Returns the currently selected binding from the table if the table is not disposed
Methods in org.eclipse.e4.ui.bindings.internal that return types with arguments of type Binding
Modifier and Type
Method
Description
`Collection<Binding>`
BindingServiceImpl.`getActiveBindings()`
`Collection<Binding>`
BindingTableManager.`getActiveBindings()`
`Collection<Binding>`
BindingServiceImpl.`getAllConflicts()`
`Collection<Binding>`
BindingTableManager.`getAllConflicts()`
`Collection<Binding>`
BindingTable.`getBindings()`
`Collection<Binding>`
BindingServiceImpl.`getBindingsFor(ParameterizedCommand command)`
`Collection<Binding>`
BindingTableManager.`getBindingsFor(ContextSet contextSet, ParameterizedCommand cmd)`
`Collection<Binding>`
BindingTable.`getConflicts()`
`Collection<Binding>`
BindingServiceImpl.`getConflictsFor(TriggerSequence sequence)`
`Collection<Binding>`
BindingTable.`getConflictsFor(TriggerSequence triggerSequence)`
`Collection<Binding>`
BindingTableManager.`getConflictsFor(ContextSet contextSet, TriggerSequence triggerSequence)`
`Collection<Binding>`
BindingServiceImpl.`getPartialMatches(TriggerSequence sequence)`
`Collection<Binding>`
BindingTable.`getPartialMatches(TriggerSequence sequence)`
`Collection<Binding>`
BindingTableManager.`getPartialMatches(ContextSet contextSet, TriggerSequence sequence)`
`Collection<Binding>`
BindingTable.`getSequencesFor(ParameterizedCommand command)`
`Collection<Binding>`
BindingTableManager.`getSequencesFor(ContextSet contextSet, ParameterizedCommand parameterizedCommand)`
Methods in org.eclipse.e4.ui.bindings.internal with parameters of type Binding
Modifier and Type
Method
Description
`void`
BindingServiceImpl.`activateBinding(Binding binding)`
`void`
BindingTable.`addBinding(Binding binding)`
`void`
BindingServiceImpl.`deactivateBinding(Binding binding)`
`void`
BindingTable.`removeBinding(Binding binding)`
Method parameters in org.eclipse.e4.ui.bindings.internal with type arguments of type Binding
Modifier and Type
Method
Description
`boolean`
KeyAssistDialog.`isShowingBindings(Collection<Binding> bindings)`
Tests whether the key assist dialog is currently showing a set of bindings.
`int`
KeyAssistDialog.`open(Collection<Binding> bindings)`
Opens this dialog with the list of bindings for the user to select from.

## Uses of Binding in org.eclipse.jface.bindings

Methods in org.eclipse.jface.bindings that return Binding
Modifier and Type
Method
Description
`Binding[]`
BindingManager.`getBindings()`
Returns the set of all bindings managed by this class.
`Binding`
BindingManager.`getPerfectMatch(TriggerSequence trigger)`
Returns the command identifier for the active binding matching this trigger, if any.
Methods in org.eclipse.jface.bindings with parameters of type Binding
Modifier and Type
Method
Description
`void`
BindingManager.`addBinding(Binding binding)`
Adds a single new binding to the existing array of bindings.
`void`
BindingManager.`removeBinding(Binding binding)`
Remove the specific binding by identity.
`void`
BindingManager.`setBindings(Binding[] bindings)`
Changes the set of bindings for this binding manager.

## Uses of Binding in org.eclipse.jface.bindings.keys

Subclasses of Binding in org.eclipse.jface.bindings.keys
Modifier and Type
Class
Description
`final class`
`KeyBinding`
A keyboard shortcut.

## Uses of Binding in org.eclipse.ui.internal

Methods in org.eclipse.ui.internal with parameters of type Binding
Modifier and Type
Method
Description
`final void`
BindingToModelProcessor.`addBinding(MApplication application, Binding binding)`

## Uses of Binding in org.eclipse.ui.keys

Methods in org.eclipse.ui.keys that return Binding
Modifier and Type
Method
Description
`Binding[]`
IBindingService.`getBindings()`
Returns the current set of bindings.
`Binding`
IBindingService.`getPerfectMatch(TriggerSequence trigger)`
Returns the command identifier for the active binding matching this trigger, if any.
Methods in org.eclipse.ui.keys with parameters of type Binding
Modifier and Type
Method
Description
`void`
IBindingService.`savePreferences(Scheme activeScheme, Binding[] bindings)`
Writes the given active scheme and bindings to the preference store.